SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
SLNet::VariableDeltaSerializer::SerializationContext Struct Reference

`#include <slikenet/VariableDeltaSerializer.h>`

## Public Member Functions

| SerializationContext ()
| ~SerializationContext ()

## Public Attributes

RakNetGUID | guid
BitStream * | bitStream
uint32_t | rakPeerSendReceipt
RemoteSystemVariableHistory * | variableHistory
RemoteSystemVariableHistory * | variableHistoryIdentical
RemoteSystemVariableHistory * | variableHistoryUnique
ChangedVariablesList * | changedVariables
uint32_t | sendReceipt
PacketReliability | serializationMode
bool | anyVariablesWritten
bool | newSystemSend

## Detailed Description

Definition at line 55 of file VariableDeltaSerializer.h.

## Constructor & Destructor Documentation

VariableDeltaSerializer::SerializationContext::SerializationContext | ( |  | ) |

Definition at line 23 of file VariableDeltaSerializer.cpp.

References variableHistoryIdentical, and variableHistoryUnique.

VariableDeltaSerializer::SerializationContext::~SerializationContext | ( |  | ) |

Definition at line 24 of file VariableDeltaSerializer.cpp.

## Member Data Documentation

bool SLNet::VariableDeltaSerializer::SerializationContext::anyVariablesWritten

Definition at line 69 of file VariableDeltaSerializer.h.

Referenced by SLNet::VariableDeltaSerializer::BeginIdenticalSerialize(), SLNet::VariableDeltaSerializer::BeginUniqueSerialize(), SLNet::VariableDeltaSerializer::BeginUnreliableAckedSerialize(), SLNet::VariableDeltaSerializer::EndSerialize(), and SLNet::VariableDeltaSerializer::SerializeVariable().

BitStream* SLNet::VariableDeltaSerializer::SerializationContext::bitStream

Definition at line 61 of file VariableDeltaSerializer.h.

Referenced by SLNet::VariableDeltaSerializer::BeginIdenticalSerialize(), SLNet::VariableDeltaSerializer::BeginUniqueSerialize(), SLNet::VariableDeltaSerializer::BeginUnreliableAckedSerialize(), SLNet::VariableDeltaSerializer::EndSerialize(), and SLNet::VariableDeltaSerializer::SerializeVariable().

ChangedVariablesList* SLNet::VariableDeltaSerializer::SerializationContext::changedVariables

Definition at line 66 of file VariableDeltaSerializer.h.

Referenced by SLNet::VariableDeltaSerializer::BeginUnreliableAckedSerialize(), SLNet::VariableDeltaSerializer::EndSerialize(), and SLNet::VariableDeltaSerializer::SerializeVariable().

RakNetGUID SLNet::VariableDeltaSerializer::SerializationContext::guid

Definition at line 60 of file VariableDeltaSerializer.h.

Referenced by SLNet::VariableDeltaSerializer::BeginIdenticalSerialize(), SLNet::VariableDeltaSerializer::BeginUniqueSerialize(), and SLNet::VariableDeltaSerializer::BeginUnreliableAckedSerialize().

bool SLNet::VariableDeltaSerializer::SerializationContext::newSystemSend

Definition at line 70 of file VariableDeltaSerializer.h.

Referenced by SLNet::VariableDeltaSerializer::BeginIdenticalSerialize(), SLNet::VariableDeltaSerializer::BeginUniqueSerialize(), SLNet::VariableDeltaSerializer::BeginUnreliableAckedSerialize(), and SLNet::VariableDeltaSerializer::SerializeVariable().

uint32_t SLNet::VariableDeltaSerializer::SerializationContext::rakPeerSendReceipt

Definition at line 62 of file VariableDeltaSerializer.h.

uint32_t SLNet::VariableDeltaSerializer::SerializationContext::sendReceipt

Definition at line 67 of file VariableDeltaSerializer.h.

Referenced by SLNet::VariableDeltaSerializer::BeginUnreliableAckedSerialize(), and SLNet::VariableDeltaSerializer::EndSerialize().

PacketReliability SLNet::VariableDeltaSerializer::SerializationContext::serializationMode

Definition at line 68 of file VariableDeltaSerializer.h.

Referenced by SLNet::VariableDeltaSerializer::BeginIdenticalSerialize(), SLNet::VariableDeltaSerializer::BeginUniqueSerialize(), SLNet::VariableDeltaSerializer::BeginUnreliableAckedSerialize(), SLNet::VariableDeltaSerializer::EndSerialize(), and SLNet::VariableDeltaSerializer::SerializeVariable().

RemoteSystemVariableHistory* SLNet::VariableDeltaSerializer::SerializationContext::variableHistory

Definition at line 63 of file VariableDeltaSerializer.h.

Referenced by SLNet::VariableDeltaSerializer::BeginIdenticalSerialize(), SLNet::VariableDeltaSerializer::BeginUniqueSerialize(), SLNet::VariableDeltaSerializer::BeginUnreliableAckedSerialize(), SLNet::VariableDeltaSerializer::EndSerialize(), and SLNet::VariableDeltaSerializer::SerializeVariable().

RemoteSystemVariableHistory* SLNet::VariableDeltaSerializer::SerializationContext::variableHistoryIdentical

Definition at line 64 of file VariableDeltaSerializer.h.

Referenced by SLNet::VariableDeltaSerializer::BeginIdenticalSerialize(), SLNet::VariableDeltaSerializer::EndSerialize(), SerializationContext(), and SLNet::VariableDeltaSerializer::SerializeVariable().

RemoteSystemVariableHistory* SLNet::VariableDeltaSerializer::SerializationContext::variableHistoryUnique

Definition at line 65 of file VariableDeltaSerializer.h.

Referenced by SLNet::VariableDeltaSerializer::BeginUniqueSerialize(), SLNet::VariableDeltaSerializer::BeginUnreliableAckedSerialize(), and SerializationContext().

The documentation for this struct was generated from the following files:

- Source/include/slikenet/VariableDeltaSerializer.h
- Source/src/VariableDeltaSerializer.cpp